Package Details: cairo-compmgr 2:0.3.1-14

Git Clone URL: https://aur.archlinux.org/cairo-compmgr.git (read-only)
Package Base: cairo-compmgr
Description: A Cairo based composite manager
Upstream URL: https://github.com/gandalfn/Cairo-Composite-Manager
Licenses: LGPL
Submitter: bluewind
Maintainer: bidulock
Last Packager: bidulock
Votes: 35
Popularity: 0.441520
First Submitted: 2012-02-22 16:54
Last Updated: 2016-05-30 02:04

Latest Comments

cokomoko commented on 2016-10-26 18:55

cairo-compmgr not work.

bidulock commented on 2016-03-05 15:22

Builds fine for me just as is.

Seebi commented on 2016-02-19 13:08

I needed to add '-lm' to the buildflags for './autogen.sh'. Otherwise the build failed.

cgirard commented on 2014-05-30 12:32

@Xiaoming94 issue corrected.

berxue commented on 2014-05-28 19:35

Build is failing for me too.
Makefile:645: recipe for target 'ccm-debug.o' failed

Xiaoming94 commented on 2014-05-22 07:21

Now this is failing to build for some reason.....

lutzee commented on 2014-04-16 17:22

@ieong
You missed changing the dependency version in the PKGBUILD
from

depends=("gtk2>=2.16.0" "vala>=0.22" libsm libgl gconf)

To

depends=("gtk2>=2.16.0" "vala>=0.24" libsm libgl gconf)

After this it compiles fine

leong commented on 2014-04-15 11:56

the recent vala update to vala0.24.0-1 (2014-04-14) breaks a dependency :
[user@hostname]$ cairo-compmgr
cairo-compmgr: error while loading shared libraries: libvala-0.22.so.0: cannot open shared object file: No such file or directory

try to reinstall:
configure: error: Package requirements libvala-0.22 >= 0.16.0 were not met:
No package 'libvala-0.22' found

I hoped changing

sed -i 's!libvala-0.16!libvala-0.22!' configure.ac
sed -i 's!libvala-0.16!libvala-0.22!' vapi/cairo-compmgr.deps

to

sed -i 's!libvala-0.16!libvala-0.24!' configure.ac
sed -i 's!libvala-0.16!libvala-0.24!' vapi/cairo-compmgr.deps

would be a (dirty) workaround. No luck!!

cgirard commented on 2014-01-07 14:00

Fixed. Thanks.

xartii commented on 2013-12-27 13:13

This patch makes cairo-compmgr compile:

--- cairo-compmgr-0.3.1/src/ccm-debug.c 2013-12-27 13:50:39.682037246 +0100
+++ cairo-compmgr-0.3.1/src/ccm-debug.c 2013-12-27 13:50:58.830037382 +0100
@@ -56,7 +56,7 @@
#include <stdlib.h>
#include <execinfo.h>
#include <bfd.h>
-#include <libiberty.h>
+#include <libiberty/libiberty.h>
#include <dlfcn.h>
#include <link.h>
#endif /* HAVE_EDEBUG */

aligator commented on 2013-12-25 10:40

Making all in lib
make[1]: Entering directory '/tmp/yaourt-tmp-johannes/aur-cairo-compmgr/src/cairo-compmgr-0.3.1/lib'
CC eggaccelerators.lo
CC ccm-object.lo
CC ccm-config.lo
CC ccm-source.lo
CC ccm-cairo-utils.lo
CC ccm-config-key.lo
CC ccm-config-schema.lo
CC ccm-config-check-button.lo
CC ccm-config-adjustment.lo
CC ccm-config-color-button.lo
CC ccm-config-entry-shortcut.lo
CC ccm-timeline.lo
CC ccm-timeout-pool.lo
CC ccm-timeout-interval.lo
CC ccm-timeout.lo
CCLD libccm-timeline.la
CC ccm-watch.lo
CCLD libccm-watch.la
CCLD libcairo_compmgr.la
CC test-boxed-blur.o
CCLD test-boxed-blur
CC test-config.o
test-config.c: In Funktion »main«:
test-config.c:77:5: Warnung: »g_type_init« ist veraltet (deklariert bei /usr/include/glib-2.0/gobject/gtype.h:669) [-Wdeprecated-declarations]
g_type_init ();
^
CCLD test-config
CC test-config-widget.o
CCLD test-config-widget
CC test-timeline.o
CCLD test-timeline
make[1]: Leaving directory '/tmp/yaourt-tmp-johannes/aur-cairo-compmgr/src/cairo-compmgr-0.3.1/lib'
Making all in src
make[1]: Entering directory '/tmp/yaourt-tmp-johannes/aur-cairo-compmgr/src/cairo-compmgr-0.3.1/src'
make all-am
make[2]: Entering directory '/tmp/yaourt-tmp-johannes/aur-cairo-compmgr/src/cairo-compmgr-0.3.1/src'
CC ccm-marshallers.o
CC ccm-debug.o
ccm-debug.c:59:23: schwerwiegender Fehler: libiberty.h: Datei oder Verzeichnis nicht gefunden
#include <libiberty.h>
^
Kompilierung beendet.
Makefile:644: recipe for target 'ccm-debug.o' failed
make[2]: *** [ccm-debug.o] Error 1
make[2]: Leaving directory '/tmp/yaourt-tmp-johannes/aur-cairo-compmgr/src/cairo-compmgr-0.3.1/src'
Makefile:515: recipe for target 'all' failed
make[1]: *** [all] Error 2
make[1]: Leaving directory '/tmp/yaourt-tmp-johannes/aur-cairo-compmgr/src/cairo-compmgr-0.3.1/src'
Makefile:500: recipe for target 'all-recursive' failed
make: *** [all-recursive] Error 1

VVS commented on 2013-05-12 14:16

==> Запускается build()...
autoreconf: Entering directory `.'
autoreconf: running: autopoint --force
autopoint: *** cvs program not found
autopoint: *** Stop.
autoreconf: autopoint failed with exit status: 1
==> ОШИБКА: Произошел сбой в build().
Преждевременный выход...
==> ERROR: Makepkg was unable to build cairo-compmgr.


after:
# pacman -S cvs


checking for XML::Parser... configure: error: XML::Parser perl module is required for intltool
==> ОШИБКА: Произошел сбой в build().
Преждевременный выход...
==> ERROR: Makepkg was unable to build cairo-compmgr.

EasySly commented on 2013-04-22 14:45

Sorry.
Ok, no problem.

cgirard commented on 2013-04-22 12:38

Fixed.
Please do not overuse the out-of-date flag. This is only intended when a new release is available upstream.

EasySly commented on 2013-04-22 08:20

vala-0.20 is out

Need to fix sed replacement to libvala-0.20.

cgirard commented on 2013-01-15 22:16

Thanks. I hope to manage to find some time to look at it before the end of the week.

Anonymous comment on 2013-01-15 22:09

@FoolEcho: Compiled and installed. Thank you.
The LIBS in PKGBUILD should look like this:
LIBS="-ldl -lgmodule-2.0 -lz"

@cgirard: Thanks for maintain this package.

FoolEcho commented on 2013-01-12 12:09

For the problem with zlib, you need to add -lz to the LIBS.

DaveCode commented on 2013-01-09 07:36

Up-to-date i686 Arch report.

Compiles well, then linker fails on libbfd.a (compress.o) saying,

[code]
... undefined reference to symbol 'compressBound@@ZLIB_1.2.0'
... note: 'compressBound@@ZLIB_1.2.0' is defined in DSO /usr/lib/libz.so.1 so try adding it to the linker command line
[/code]

Also noticed optional backends GObj Introspection and GConf disabled. Seems they might be desirable? How to enable?

Thanks very much.

affenkaraffe commented on 2012-12-11 21:12

mesa sould be included as dependency as it contains /usr/lib/pkgconf/gl.pc

Freso commented on 2012-11-04 22:01

@tequa:
https://wiki.archlinux.org/index.php/AUR#Prerequisites - libtool is part of base-devel.

Anonymous comment on 2012-11-04 21:49

It seems you need to have "libtool" installed for building this package - could be added as builddep.

cgirard commented on 2012-11-01 10:31

There was a time were multicore compiling was causing failure. Maybe it has been fixed now.

4javier commented on 2012-11-01 10:30

You're right, in this case sed manipulation is actually more practical than patch file. :)
I also removed cpu cap from make. Why slowdown compilation for people with 2+ cores system? :/
http://pastebin.com/iMtUv1Fg

cgirard commented on 2012-10-31 22:44

Thanks. You could do as I've suggested in the git version of this: https://aur.archlinux.org/packages.php?ID=30042
I have no linux access for the end of the week and will probably not be able to update the PKGBUILD until Sunday.

figue commented on 2012-10-31 22:12

Thanks 4javier, builds fine here.

4javier commented on 2012-10-31 17:19

Here's the patch to build against new vala 0.18
http://pastebin.com/3j65iZx6
and this is the PKGBUILD adapted to that
http://pastebin.com/KV8AMu90

Hope these will help somebody.

cgirard commented on 2012-10-29 11:00

Back to stable release.
Github is currently the official release medium as the author has not enough time to update the tuxfamily website (and is sorry about that).

cgirard commented on 2012-08-30 16:04

@Det, have a look on this mailing list thread: http://archlinux.2023198.n4.nabble.com/community-Up-for-adoption-cairo-compmgr-gadmin-samba-td4398285.html#none

Det commented on 2012-08-15 10:37

So why exactly isn't this using the stable release? It's basically just a clone of cairo-compmgr-git.

Freso commented on 2012-05-29 11:18

I'm getting this when I try to compile it:
"""
configure: error: Package requirements (xcomposite,
xdamage,
xext,
xi,
x11,
ice,
sm,
cairo >= 1.8.0,
pixman-1 >= 0.16.0,
gtk+-2.0 >= 2.16.0
libvala-0.14 >= 0.14.0) were not met:

No package 'libvala-0.14' found
"""

"""
kotake% yaourt -Qi vala
Name : vala
Version : 0.16.0-1
URL : http://live.gnome.org/Vala
Licenses : LGPL
Groups : None
Provides : None
Depends On : glib2
Optional Deps : None
Required By : None
Conflicts With : None
Replaces : None
Installed Size : 9740.00 KiB
Packager : Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>
Architecture : x86_64
Build Date : Fri Mar 30 11:33:23 2012
Install Date : Sun May 20 12:36:46 2012
Install Reason : Installed as a dependency for another package
Install Script : No
Description : Compiler for the GObject type system
"""